package cn.com.qmth.examcloud.core.questions.service.temp.vo;

/**
 * @author weiwenhai
 * @date 2018.7.19
 * @company qmth
 * @describle 地大试题对象
 */
public class TestQuestion {

    /**
     * 试题id
     */
    private String id;

    /**
     * 大题序号
     */
    private Integer dNumber;

    /**
     * 大题名称
     */
    private String dName;

    /**
     * 小题序号
     */
    private Integer number1;

    /**
     * 小题分数
     */
    private Double score;

    /**
     * 小题父id，用于套题
     */
    private String parentId;

    /**
     * 小题类型
     * 11-单选题；12-多选题；13-填空题；14-选词填空；15-完形填空；20-判断题；42-复合题；60-问答题；69-名词解释
     */
    private Integer type;

    /**
     * 试题内容
     */
    private String json;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public Integer getdNumber() {
        return dNumber;
    }

    public void setdNumber(Integer dNumber) {
        this.dNumber = dNumber;
    }

    public String getdName() {
        return dName;
    }

    public void setdName(String dName) {
        this.dName = dName;
    }

    public Integer getNumber() {
        return number1;
    }

    public void setNumber(Integer number1) {
        this.number1 = number1;
    }

    public Double getScore() {
        return score;
    }

    public void setScore(Double score) {
        this.score = score;
    }

    public String getParentId() {
        return parentId;
    }

    public void setParentId(String parentId) {
        this.parentId = parentId;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getJson() {
        return json;
    }

    public void setJson(String json) {
        this.json = json;
    }

}
